.FIRST :
	@ debug_cflags = "/nodebug /optimize"
	@ debug_ldflags = "/nodebug /notraceback"
	@ ZLIB_DEBUG = ""
	@ ZLIB_DEFS = ""
	@ CPU := VAX
	@ if f$getsyi("CPU") .ge. 128 then CPU := AXP
	@ if f$parse("[-.BIN-''CPU']") .eqs. "" then -
		create/dir [-.BIN-'CPU']
	@ ! Look for the SSL library
	@ write sys$output "[Determining where the crypto library is]"
	@ SSLlibrary := $(SSLLIBDIR)LIBCRYPTO.OLB
	@ if f$search(SSLlibrary) .eqs. "" then -
		SSLlibrary := $(SSLLIBDIR)$(SSLLIBRARYNAME)
	@ ! Fallback
	@ if f$search(SSLlibrary) .eqs. "" then -
		SSLlibrary := [-.SSLLIB-'CPU']LIBCRYPTO.OLB
	@ if f$search(SSLlibrary) .eqs. "" then -
		SSLlibrary :=
	@ if SSLlibrary .eqs. "" then -
		write sys$error "I can't find the OpenSSL library in $(SSLLIBDIR)"
	@ if SSLlibrary .eqs. "" then exit
	@ ! Look for the SSL include directory
	@ SSLinclude := $(SSLINCLUDEDIR)
	@ ! Fallback
	@ if f$search(SSLinclude + "RAND.H") .eqs. "" then -
		SSLinclude := [-.SSLINCLUDE]
	@ if f$search(SSLinclude + "RAND.H") .eqs. "" then -
		SSLinclude :=
	@ if SSLinclude .eqs. "" then -
		write sys$error "I can't find the OpenSSL include file RAND.H in $(SSLINCLUDEDIR)"
	@ if SSLinclude .eqs. "" then exit
	@ ! OpenSSL 0.9.3 includes files as <openssl/foo.h>.  This software
	@ ! has addapted to that, so if an earlier OpenSSL or SSLeay is used,
	@ ! define the OPENSSL logical name so we will have no problems.
	@ if f$trnlnm("OPENSSL") .nes. SSLinclude then -
		define openssl 'SSLinclude'
	@ ! Check if we need the VAX C RTL.
	@ write sys$output "[Determining if the VAX C RTL will be needed]"
	@ crypto_decc := yes
	@ pid = f$getjpi("","PID")
	@ if CPU .eqs. "VAX" then library/cross=symbol/output=libcrypto.crf_'pid' 'SSLlibrary'
	@ if CPU .eqs. "VAX" then sear/output=search.result_'pid' libcrypto.crf_'pid' decc$fopen
	@ if CPU .eqs. "VAX" then if f$file("search.result_''pid'","eof") .eq. 0 then crypto_decc := no
	@ if CPU .eqs. "VAX" then delete/nolog libcrypto.crf_'pid';*,search.result_'pid';*
	@ internal_cflags = "/define=BAMSE_VERSION=""""""" + ($(IDENT) - "V") + """"""""
	@ internal_ldflags :=
	@ if .not. crypto_decc then internal_ldflags = ",vaxcrtl.opt/opt"
	@ write sys$output "[Resulting symbols]"
	@ SHOW SYMBOL SSLinclude
	@ SHOW SYMBOL SSLlibrary
	@ SHOW SYMBOL INTERNAL_*
	@ SHOW SYMBOL DEBUG_*

!------------------------------
! dependencies
depend :
	open/write dep_f dependencies.mms
	write dep_f "! This file was generated automagically with $(MMS) DEPEND"
	@[-.util]loop.com "$(CC) $(CFLAGS) /NOOBJ/MMS=(FILE=dep_f:,NOSYS)" "$(EXEMODULES) $(LIBMODULES)" ".C"
	close dep_f
	@[-.util]hackpaths.com dependencies.mms 'f$env("default")' "f$edit(line - f$element(0,"":"",line) - "":"",""trim"")"

.include dependencies.mms
